<html devsite>
  <head>
    <title>Connectivity</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->



<p>This section describes implementation of standard Android connectivity
protocols and describes use of related features, including Bluetooth, NFC,
Wi-Fi, Telephony, and more.</p>

<p>Follow the instructions in this section to ensure your Android devices are
connected properly.</p>

  </body>
</html>
